package com.kingdee.eas.custom.recuritment;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ApplicantBeisenFactory
{
    private ApplicantBeisenFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.IApplicantBeisen getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IApplicantBeisen)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("D413A099") ,com.kingdee.eas.custom.recuritment.IApplicantBeisen.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.IApplicantBeisen getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IApplicantBeisen)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("D413A099") ,com.kingdee.eas.custom.recuritment.IApplicantBeisen.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.IApplicantBeisen getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IApplicantBeisen)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("D413A099"));
    }
    public static com.kingdee.eas.custom.recuritment.IApplicantBeisen getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.IApplicantBeisen)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("D413A099"));
    }
}